rkt - App Container runtime(1)

NAME

rkt-run-prepared - Run a prepared application pod in rkt

SYNOPSIS

rkt run-prepared UUID [flags]

DESCRIPTION

Runs a previously prepared pod by its UUID

OPTIONS

--dns=
    name servers to write in /etc/resolv.conf. Pass 'host' to use host's resolv.conf. Pass 'none' to ignore CNI DNS config

--dns-domain=""
    DNS domain to write in /etc/resolv.conf

--dns-opt=
    DNS options to write in /etc/resolv.conf

--dns-search=
    DNS search domains to write in /etc/resolv.conf

-h, --help[=false]
    help for run-prepared

--hostname=""
    pod's hostname. If empty, it will be "rkt-$PODUUID"

--hosts-entry=
    Entries to add to the pod-wide /etc/hosts. Pass 'host' to use the host's /etc/hosts

--interactive[=false]
    run pod interactively

--ipc=""
    whether to stay in the host IPC namespace. Syntax: --ipc=[auto|private|parent]

--mds-register[=false]
    register pod with metadata service

--net[=default]
    configure the pod's networking. Optionally, pass a list of user-configured networks to load and set arguments to pass to each network, respectively. Syntax: --net[=n[:args]][,]

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra